package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicResourceMicroappReqmntState {
    public static final String PENDING = "审核中";
    public static final String COLOSED = "已关闭";
    public static final String REJECTED = "审核不通过";
    public static final String PROSCESSING = "进行中";
    public static final String OFF_SHELVES = "已下架";

    private static DicResourceMicroappReqmntState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceMicroappReqmntState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(PENDING, PENDING);
        dicMap.put(REJECTED, REJECTED);
        dicMap.put(PROSCESSING, PROSCESSING);
        dicMap.put(OFF_SHELVES, OFF_SHELVES);
        dicMap.put(COLOSED, COLOSED);
    }
    public static DicResourceMicroappReqmntState getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceMicroappReqmntState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
